/*
 * -------------------------------------------
 *    MSP432 DriverLib - v3_21_00_05 
 * -------------------------------------------
 *
 * --COPYRIGHT--,BSD,BSD
 * Copyright (c) 2016, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * --/COPYRIGHT--*/
#include <stdint.h>
const uint8_t data_array[] =
{
        0x2E, 0x06, 0x7D, 0x3C, 0x1F, 0x42, 0xAE, 0x39, 0xCE, 0x0F, 0x1E, 0x53,
        0x82, 0x4E, 0xAE, 0x39, 0x4F, 0x0E, 0x4F, 0x0D, 0x00, 0x18, 0x5F, 0x52,
        0xA6, 0x39, 0xE2, 0x4F, 0x2E, 0x06, 0x6F, 0x3C, 0x00, 0x18, 0xC2, 0x93,
        0xAA, 0x39, 0x04, 0x20, 0xD2, 0x42, 0x2C, 0x06, 0xB0, 0x39, 0x67, 0x3C,
        0x1F, 0x42, 0xAE, 0x39, 0xCE, 0x0F, 0x1E, 0x53, 0x82, 0x4E, 0xAE, 0x39,
        0x4F, 0x0E, 0x4F, 0x0D, 0x00, 0x18, 0x5F, 0x52, 0xAA, 0x39, 0xDF, 0x42,
        0x2C, 0x06, 0x00, 0x00, 0x58, 0x3C, 0xF2, 0xC2, 0x3D, 0x06, 0x5F, 0x42,
        0x94, 0x39, 0x1F, 0x83, 0x08, 0x24, 0x1F, 0x83, 0x0B, 0x20, 0x1C, 0x42,
        0xAE, 0x39, 0x4D, 0x43, 0x80, 0x13, 0x9A, 0x39, 0x05, 0x3C, 0x1C, 0x42,
        0xAE, 0x39, 0x4D, 0x43, 0x80, 0x13, 0x96, 0x39, 0xC2, 0x43, 0x94, 0x39,
        0x42, 0x3C, 0xE2, 0xC2, 0x3D, 0x06, 0x5F, 0x42, 0x94, 0x39, 0x1F, 0x83,
        0x0E, 0x24, 0x1F, 0x83, 0x17, 0x20, 0xF2, 0xB0, 0x10, 0x00, 0x20, 0x06,
        0x02, 0x20, 0x5D, 0x43, 0x01, 0x3C, 0x6D, 0x43, 0x1C, 0x42, 0xAE, 0x39,
        0x80, 0x13, 0x9A, 0x39, 0x0B, 0x3C, 0xF2, 0xB0, 0x10, 0x00, 0x20, 0x06,
        0x02, 0x20, 0x5D, 0x43, 0x01, 0x3C, 0x6D, 0x43, 0x1C, 0x42, 0xAE, 0x39,
        0x80, 0x13, 0x96, 0x39, 0xF2, 0xB0, 0x10, 0x00, 0x20, 0x06, 0x1B, 0x24,
        0x00, 0x18, 0xC2, 0x93, 0xA6, 0x39, 0x05, 0x20, 0xC2, 0x43, 0x94, 0x39,
        0xF2, 0xD2, 0x20, 0x06, 0x16, 0x3C, 0xE2, 0x43, 0x94, 0x39, 0x82, 0x43,
        0xAE, 0x39, 0x1F, 0x42, 0xAE, 0x39, 0xCE, 0x0F, 0x1E, 0x53, 0x82, 0x4E,
        0xAE, 0x39, 0x4F, 0x0E, 0x4F, 0x0D, 0x00, 0x18, 0x5F, 0x52, 0xA6, 0x39,
        0xE2, 0x4F, 0x2E, 0x06, 0x04, 0x3C, 0xD2, 0x43, 0x94, 0x39, 0x82, 0x43,
        0xAE, 0x39, 0x00, 0x18, 0xC2, 0x93, 0x9E, 0x39, 0x08, 0x24, 0x2C, 0x00,
        0x9E, 0x39, 0x1D, 0x42, 0xA2, 0x39, 0x1E, 0x42, 0xA4, 0x39, 0xB1, 0x13,
        0x62, 0x74, 0xB1, 0xC0, 0xF0, 0x00, 0x14, 0x00, 0x4B, 0x16, 0x00, 0x13,
        0x1F, 0x14, 0x1F, 0x42, 0xFE, 0x05, 0x2F, 0x82, 0x58, 0x24, 0x3F, 0x80,
        0x06, 0x00, 0x3D, 0x24, 0x2F, 0x83, 0x57, 0x20, 0xE2, 0xC3, 0xFD, 0x05,
        0x1F, 0x42, 0xDE, 0x39, 0x1F, 0x83, 0x1E, 0x24, 0x1F, 0x83, 0x4F, 0x20,
        0xC2, 0x93, 0xE1, 0x39, 0x13, 0x24, 0x82, 0x93, 0xE6, 0x39, 0x05, 0x20,
        0x82, 0x43, 0xDE, 0x39, 0xE2, 0xD2, 0xE0, 0x05, 0x44, 0x3C, 0x2F, 0x00,
        0xE2, 0x39, 0x6F, 0x4F, 0x00, 0x18, 0xD2, 0x53, 0xE2, 0x39, 0x92, 0x83,
        0xE6, 0x39, 0xC2, 0x4F, 0xEE, 0x05, 0x39, 0x3C, 0xD2, 0x43, 0xE1, 0x39,
        0xD2, 0x42, 0xE0, 0x39, 0xEE, 0x05, 0x33, 0x3C, 0xC2, 0x93, 0xE1, 0x39,
        0x80, 0x13, 0x9A, 0x39, 0x0B, 0x3C, 0xF2, 0xB0, 0x10, 0x00, 0x20, 0x06,
        0x02, 0x20, 0x5D, 0x43, 0x01, 0x3C, 0x6D, 0x43, 0x1C, 0x42, 0xAE, 0x39,
        0x80, 0x13, 0x96, 0x39, 0xF2, 0xB0, 0x10, 0x00, 0x20, 0x06, 0x1B, 0x24,
        0x00, 0x18, 0xC2, 0x93, 0xA6, 0x39, 0x05, 0x20, 0xC2, 0x43, 0x94, 0x39,
        0xF2, 0xD2, 0x20, 0x06, 0x16, 0x3C, 0xE2, 0x43, 0x94, 0x39, 0x82, 0x43,
        0xAE, 0x39, 0x1F, 0x42, 0xAE, 0x39, 0xCE, 0x0F, 0x1E, 0x53, 0x82, 0x4E,
        0xAE, 0x39, 0x4F, 0x0E, 0x4F, 0x0D, 0x00, 0x18, 0x5F, 0x52, 0xA6, 0x39,
        0xE2, 0x4F, 0x2E, 0x06, 0x04, 0x3C, 0xD2, 0x43, 0x94, 0x39, 0x82, 0x43,
        0xAE, 0x39, 0x00, 0x18, 0xC2, 0x93, 0x9E, 0x39, 0x08, 0x24, 0x2C, 0x00,
        0x9E, 0x39, 0x1D, 0x42, 0xA2, 0x39, 0x1E, 0x42, 0xA4, 0x39, 0xB1, 0x13,
        0x62, 0x74, 0xB1, 0xC0, 0xF0, 0x00, 0x14, 0x00, 0x4B, 0x16, 0x00, 0x13,
        0x1F, 0x14, 0x1F, 0x42, 0xFE, 0x05, 0x2F, 0x82, 0x58, 0x24, 0x3F, 0x80,
        0x06, 0x00, 0x3D, 0x24, 0x2F, 0x83, 0x57, 0x20, 0xE2, 0xC3, 0xFD, 0x05,
        0x1F, 0x42, 0xDE, 0x39, 0x1F, 0x83, 0x1E, 0x24, 0x1F, 0x83, 0x4F, 0x20,
        0xC2, 0x93, 0xE1, 0x39, 0x13, 0x24, 0x82, 0x93, 0xE6, 0x39, 0x05, 0x20,
        0x82, 0x43, 0xDE, 0x39, 0xE2, 0xD2, 0xE0, 0x05, 0x44, 0x3C, 0x2F, 0x00,
        0xE2, 0x39, 0x6F, 0x4F, 0x00, 0x18, 0xD2, 0x53, 0xE2, 0x39, 0x92, 0x83,
        0xE6, 0x39, 0xC2, 0x4F, 0xEE, 0x05, 0x39, 0x3C, 0xD2, 0x43, 0xE1, 0x39,
        0xD2, 0x42, 0xE0, 0x39, 0xEE, 0x05, 0x33, 0x3C, 0xC2, 0x93, 0xE1, 0x39,
        0x80, 0x13, 0x9A, 0x39, 0x0B, 0x3C, 0xF2, 0xB0, 0x10, 0x00, 0x20, 0x06,
        0x02, 0x20, 0x5D, 0x43, 0x01, 0x3C, 0x6D, 0x43, 0x1C, 0x42, 0xAE, 0x39,
        0x80, 0x13, 0x96, 0x39, 0xF2, 0xB0, 0x10, 0x00, 0x20, 0x06, 0x1B, 0x24,
        0x00, 0x18, 0xC2, 0x93, 0xA6, 0x39, 0x05, 0x20, 0xC2, 0x43, 0x94, 0x39,
        0xF2, 0xD2, 0x20, 0x06, 0x16, 0x3C, 0xE2, 0x43, 0x94, 0x39, 0x82, 0x43,
        0xAE, 0x39, 0x1F, 0x42, 0xAE, 0x39, 0xCE, 0x0F, 0x1E, 0x53, 0x82, 0x4E,
        0xAE, 0x39, 0x4F, 0x0E, 0x4F, 0x0D, 0x00, 0x18, 0x5F, 0x52, 0xA6, 0x39,
        0xE2, 0x4F, 0x2E, 0x06, 0x04, 0x3C, 0xD2, 0x43, 0x94, 0x39, 0x82, 0x43,
        0xAE, 0x39, 0x00, 0x18, 0xC2, 0x93, 0x9E, 0x39, 0x08, 0x24, 0x2C, 0x00,
        0x9E, 0x39, 0x1D, 0x42, 0xA2, 0x39, 0x1E, 0x42, 0xA4, 0x39, 0xB1, 0x13,
        0x62, 0x74, 0xB1, 0xC0, 0xF0, 0x00, 0x14, 0x00, 0x4B, 0x16, 0x00, 0x13,
        0x1F, 0x14, 0x1F, 0x42, 0xFE, 0x05, 0x2F, 0x82, 0x58, 0x24, 0x3F, 0x80,
        0x06, 0x00, 0x3D, 0x24, 0x2F, 0x83, 0x57, 0x20, 0xE2, 0xC3, 0xFD, 0x05,
        0x1F, 0x42, 0xDE, 0x39, 0x1F, 0x83, 0x1E, 0x24, 0x1F, 0x83, 0x4F, 0x20,
        0xC2, 0x93, 0xE1, 0x39, 0x13, 0x24, 0x82, 0x93, 0xE6, 0x39, 0x05, 0x20,
        0x82, 0x43, 0xDE, 0x39, 0xE2, 0xD2, 0xE0, 0x05, 0x44, 0x3C, 0x2F, 0x00,
        0xE2, 0x39, 0x6F, 0x4F, 0x00, 0x18, 0xD2, 0x53, 0xE2, 0x39, 0x92, 0x83,
        0xE6, 0x39, 0xC2, 0x4F, 0xEE, 0x05, 0x39, 0x3C, 0xD2, 0x43, 0xE1, 0x39,
        0xD2, 0x42, 0xE0, 0x39, 0xEE, 0x05, 0x33, 0x3C, 0xC2, 0x93, 0xE1, 0x39,
        0x80, 0x13, 0x9A, 0x39, 0x0B, 0x3C, 0xF2, 0xB0, 0x10, 0x00, 0x20, 0x06,
        0x02, 0x20, 0x5D, 0x43, 0x01, 0x3C, 0x6D, 0x43, 0x1C, 0x42, 0xAE, 0x39,
        0x80, 0x13, 0x96, 0x39, 0xF2, 0xB0, 0x10, 0x00, 0x20, 0x06, 0x1B, 0x24,
        0x00, 0x18, 0xC2, 0x93, 0xA6, 0x39, 0x05, 0x20, 0xC2, 0x43, 0x94, 0x39,
        0xF2, 0xD2, 0x20, 0x06, 0x16, 0x3C, 0xE2, 0x43, 0x94, 0x39, 0x82, 0x43,
        0xAE, 0x39, 0x1F, 0x42, 0xAE, 0x39, 0xCE, 0x0F, 0x1E, 0x53, 0x82, 0x4E,
        0xAE, 0x39, 0x4F, 0x0E, 0x4F, 0x0D, 0x00, 0x18, 0x5F, 0x52, 0xA6, 0x39,
        0xE2, 0x4F, 0x2E, 0x06, 0x04, 0x3C, 0xD2, 0x43, 0x94, 0x39, 0x82, 0x43,
        0xAE, 0x39, 0x00, 0x18, 0xC2, 0x93, 0x9E, 0x39, 0x08, 0x24, 0x2C, 0x00,
        0x9E, 0x39, 0x1D, 0x42, 0xA2, 0x39, 0x1E, 0x42, 0xA4, 0x39, 0xB1, 0x13,
        0x62, 0x74, 0xB1, 0xC0, 0xF0, 0x00, 0x14, 0x00, 0x4B, 0x16, 0x00, 0x13,
        0x1F, 0x14, 0x1F, 0x42, 0xFE, 0x05, 0x2F, 0x82, 0x58, 0x24, 0x3F, 0x80,
        0x06, 0x00, 0x3D, 0x24, 0x2F, 0x83, 0x57, 0x20, 0xE2, 0xC3, 0xFD, 0x05,
        0x1F, 0x42, 0xDE, 0x39, 0x1F, 0x83, 0x1E, 0x24, 0x1F, 0x83, 0x4F, 0x20,
        0xC2, 0x93, 0xE1, 0x39, 0x13, 0x24, 0x82, 0x93, 0xE6, 0x39, 0x05, 0x20,
        0xCA, 0xFE, 0xBE, 0xEF
};
